//加载数据表格
$('#mytab').bootstrapTable({
    height: 700,
    toolbar: '#toolbar',                //工具按钮用哪个容器
    striped: true,                      //是否显示行间隔色
    cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
    pagination: true,                   //是否显示分页（*）
    sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
    paginationPreText : '上一页',
    paginationNextText : '下一页',
    pageNumber: 1,                       //初始化加载第一页，默认第一页
    pageSize: 10,                       //每页的记录行数（*）
    pageList: [10,15,20,30,50],//可供选择的每页的行数（*）
    columns:[
        {
            title:'全选',
            field:'select',
            checkbox:true,
            width:25,
            align:'center',
            valign:'middle'
        },
        {
            field: 'no',
            title: '序号',
            sortable: true,
            formatter: function (value, row, index) {
                //获取每页显示的数量
                var pageSize=$('#mytab').bootstrapTable('getOptions').pageSize;
                //获取当前是第几页
                var pageNumber=$('#mytab').bootstrapTable('getOptions').pageNumber;
                //返回序号，注意index是从0开始的，所以要加上1
                return pageSize * (pageNumber - 1) + index + 1;
            }
        },
        {
            title:'病案号',
            field:'inpatientNo',
        },
        {
            title:'姓名',
            field:'name',
        },
        {
            title:'性别',
            field:'sex',
        },
        {
            title:'身份证号',
            field:'idCard',
        },
        // {
        //     title:'住院次数',
        //     field:'admissTimes',
        // },
        {
            title:'出院日期',
            field:'disDate',
        },
        {
            title:'出院科室',
            field:'disDept',
        },
        {
            title:'主要诊断',
            field:'mainDiagName',
        },
        {
            title:'操作',
            formatter: function(value,row){
                var patientId = "'" + row.patientId + "'";
                return  '<button type="button" class="btn btn-danger TableView btn-sm" onclick="showDetail('+patientId+')">查看详情</button>';
            }
        }
    ],
    locale:'zh-CN',//中文支持,
    url:path+'/font/getRecordListByInpatientNo',//排序方式
    queryParams: function (params) {
        return{
            limit : params.limit, // 每页显示数量
            offset : params.offset, // SQL语句起始索引
            page : (params.offset / params.limit) + 1, //当前页码,
            inpatientNo:$("#inpatientNo").val(),
            idCard:$("#idCard").val(),
        }
    },
    responseHandler:function(res){
        //在ajax获取到数据，渲染表格之前，修改数据源
        var nres = [];
        nres.push({total:res.total,rows:res.list});
        return nres[0];
    },
    onLoadSuccess:function(){
        $(".page-list").show();
        $(".fixed-table-body").css("overflow","auto");
    },
    //双击事件
    onDblClickRow: function (row) {
        showDetail(row.patientId);
    },
})
//定义查看详情的请求地址url
function returnShowDetailUrl(patientId){
    return path + '/font/showRecordFont?patientId=' + patientId;
}
//病案預覽
//查看详情
function showDetail(patientId){
    window.open(returnShowDetailUrl(patientId),'_self','fullscreen,scrollbars');
}
